POST/v1/customers/{external_id}/devices/{device_id}:signOut
Sign out a device
Needs usage:write.
curl -X POST 'https://api.entitler.co/v1/customers/ada/devices/<device_id>:signOut' \
-H "Authorization: Bearer $ENTITLER_KEY" \
-H "Content-Type: application/json" \
-d '{"target":{"environmentId":"environmentId","projectId":"projectId","teamId":"teamId"}}'Credentials
Send any one of these:
- Bearer token
Path parameters
| Name | Type | Description |
|---|---|---|
external_idrequired | string | The customer's external ID, or me for the customer a customer token or identity token names. |
device_idrequired | string |
Request body
object
targetProductTargetenvironmentIdstringprojectIdstringteamIdstring
Responses
200The SignOutDeviceResponse message.
SignOutDeviceResponse
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired